NuSphere Forums Forum Index
NuSphere Forums
Reply to topic
Problem with Code Explorer Panel and PHP5 keywords


Joined: 02 Jul 2004
Posts: 2
Reply with quote
Hi,

The 'Code Explorer' panel don't work correctly with some PH5 syntax (with 'public', 'abstract', 'interface', 'static', ... keywords). For example this PHP 5 code isn't recognized by 'Code Explorer' panel :

abstract class MyClass { ... }
public function MyFunction1() {...};
private function MyFunction2() {...};
protected function MyFunction3() {...};
static function MyFunction4() {...};


Can you fix this problem on a future release of PHPEd ?

Thanks
Remi
View user's profileFind all posts by rszSend private message
Problem with Code Explorer Panel and PHP5 keywords:more info


Joined: 02 Jul 2004
Posts: 2
Reply with quote
Oups !

My PHPEd version is : 3.3.1 (build 3359) + patch 'NuSphere-phped-3.3-php5-Win32.exe'

Thanks for your reply !

Remi
r.sz@free.fr
View user's profileFind all posts by rszSend private message
Site Admin

Joined: 13 Jul 2003
Posts: 7857
Reply with quote
PhpED 3.3 does not support PHP5 code completion nor code explorer. Version 3.3 supports PHP5 debugging only. Please wait for the next version of PhpED that will come with all PHP5-oriented features.
View user's profileFind all posts by dmitriSend private messageVisit poster's website
Problem with Code Explorer Panel and PHP5 keywords
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
All times are GMT - 5 Hours  
Page 1 of 1  

  
  
 Reply to topic